// pages/invoice/invoiceDetail/invoiceDetail.js
const app = getApp();
const api = app.api;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    invoiceId:null,
    invoiceOrderId:null,
    invoiceInfo:null,
    pickerInvoiceKind:[
      {
        name:"普通开票",
        value:0,
      },
      {
        name:"增值税开票",
        value:1,
      }
    ],
    orderStatus:{
      0:'待提交',
      1:'审核未通过',
      2:'已提交',
      3:'待支付',
      4:'待确认支付',
      5:'开票中',
      6:'已寄出',
      7:'完成',
      99:'关闭'
    },
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      invoiceId:options.invoiceId||null,
      invoiceOrderId:options.invoiceOrderId||null
    },()=>{
      this.getData()
    })
  },



  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },
  /**
   * get data
   * **/
  getData(){
    const {invoiceId,invoiceOrderId}=this.data;
    app.post(api.queryOrderInvoiceInfo,{
      id:invoiceId,
      invoiceOrderId
    }).then(res=>{
      this.setData({
        invoiceInfo:res.data
      })
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})
