// pages/guanyuan/list/list.js
const app = getApp();
const api = app.api;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    activeIndex:0,
    listData:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    let listData =
    [
      [
          {
            title: '中国国际进口博览会艺术作品装裱',
            time: '2018年11月5日-10日',
            banner: 'exhibition/banner_1.png',
            href: 'https://resource.artouchstone.com/miniapp/artist/html/exhibition/msg_1.html'
          },
          {
            title: '大英博物馆百物展：浓缩的世界史',
            time: '2017年6月29日-2017年10月8日',
            banner: 'exhibition/banner_4.png',
            href: 'https://resource.artouchstone.com/miniapp/artist/html/exhibition/msg_4.html'
          },
          {
            title: '她们·风华绝代——宋氏三姐妹特展',
            time: '2016年4月28日-2016年7月31日',
            banner: 'exhibition/banner_3.png',
            href: 'https://resource.artouchstone.com/miniapp/artist/html/exhibition/msg_3.html'
          },
          {
            title: '我们的时代——上海油画雕塑院建院50周年文献展',
            time: '2015年12月28日-2016年1月26日',
            banner: 'exhibition/banner_2.png',
            href: 'https://resource.artouchstone.com/miniapp/artist/html/exhibition/msg_2.html'
          }
      ],
      [
        {
          title:'陈家泠艺术大展',
          time:'2017年9月17日-2017年10月15日',
          banner:'exhibition_people/banner_1.png',
          href:'https://resource.artouchstone.com/miniapp/artist/html/exhibition_people/msg_1.html'
        },
        {
          title: '寻觅江南——陆春涛乐震文双个展',
          time: '2019年9月3日-2019年9月18日',
          banner: 'exhibition_people/banner_2.png',
          href:'https://resource.artouchstone.com/miniapp/artist/html/exhibition_people/msg_2.html'
        },
        {
          title:'精神的融洽——周碧初文献展',
          time:'2016年7月23日-2016年8月25日',
          banner:'exhibition_people/banner_3.png',
          href:'https://resource.artouchstone.com/miniapp/artist/html/exhibition_people/msg_3.html'
        },
        {
          title: '诗意地思辨——殷雄油画艺术研究展',
          time: '2017年12月23日-2018年3月10日',
          banner: 'exhibition_people/banner_4.png',
          href:'https://resource.artouchstone.com/miniapp/artist/html/exhibition_people/msg_4.html'
        }
      ],
      [
        {
          title:'重新定义——2019上海青年艺术博览会',
          time:'2019年11月13日-2019年11月17日',
          banner:'exhibition_group/banner_1.png',
          href:'https://resource.artouchstone.com/miniapp/artist/html/exhibition_group/msg_1.html'
        },
        {
          title:'文史翰墨——第三届中华诗书画展',
          time:'2016年11月10日-2016年11月20日',
          banner: 'exhibition_group/banner_2.png',
          href:'https://resource.artouchstone.com/miniapp/artist/html/exhibition_group/msg_2.html'
        },
        {
          title:'博物致知——首届长三角博物馆教育博览会',
          time:'2018年5月18日-2018年5月22日',
          banner:'exhibition_group/banner_3.png',
          href:'https://resource.artouchstone.com/miniapp/artist/html/exhibition_group/msg_3.html'
        },
        {
          title:'刘海粟美术馆海派绘画年度研究展',
          time:'2019年1月19日-2019年3月17日',
          banner: 'exhibition_group/banner_4.png',
          href:'https://resource.artouchstone.com/miniapp/artist/html/exhibition_group/msg_4.html'
        }
      ]
    ]
    this.setData({
      listData:listData
    })
  },
  msgClick(e){
    let data = this.data.listData[this.data.activeIndex][e.currentTarget.dataset.index]
    wx.navigateTo({
      url: `/pages/guanyuan/webview/webview?src=${data.href}&title=${data.title}`
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  changeTab(e){
    this.setData({
      activeIndex:e.currentTarget.dataset.index
    })
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})
