// pages/invoice/logisticsDetail/logisticsDetail.js
const app = getApp();
const api = app.api;
Page({
  //物流状态字典表
  stateList: new Map([
      [0, '在途'],
      [1, '揽收'],
      [2, '疑难'],
      [3, '签收'],
      [4, '退签'],
      [5, '派件'],
      [6, '退回'],
      [7, '转投'],
      [10, '待清关'],
      [11, '清关中'],
      [12, '已清关'],
      [13, '清关异常'],
      [14, '收件人拒签']
    ]
  ),
  /**
   * 页面的初始数据
   */
  data: {
    invoiceOrderId:null,
    orderInfo:null,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      invoiceOrderId:options.invoiceOrderId
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getData()
  },
  getData(){
    const {invoiceOrderId}=this.data;
   // console.log(stateList)
    if(invoiceOrderId){
      app.post(api.findExpressList,{
        "invoiceOrderId": invoiceOrderId
      }).then(res=>{
        console.log(res);
        res.data.state=this.stateList.get(res.data.state)
        this.setData({
          orderInfo:res.data
        })
      })
    }
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})
