// pages/invoice/saleList/saleList.js
const app=getApp();
const api=app.api;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id:null,
    chooseIndex:null,
    list:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      id:options.id||null
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getData()
  },
  getData(){
    app.post(api.querySale).then(res=>{
      console.log(res);
      this.setData({
        list:res.data||[]
      })
    })
  },
  chooseSale(e){
    const {index}=e.currentTarget.dataset;
    this.setData({
      chooseIndex:index,
      id:index
    });
    wx.setStorageSync('saleInfo',this.data.list[index]);
    wx.navigateBack();
  },

  editSale:function(e){
    const {id}=e.currentTarget.dataset;
    wx.navigateTo({
      url:`/pages/invoice/editSale/editSale?id=${id}`
    })
  },
  removeSale:function(e){
    const {id}=e.currentTarget.dataset;
    app.post(api.removeSale,{
      saleId:id
    }).then(res=>{
      wx.showToast({
        title: '删除成功',
        duration: 2000
      });
      this.getData()
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})
