// pages/user/artPreview/artPreview.js
const app = getApp();
const api = app.api;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    auditStatus:{
      1:"待审核",
      2:"审核通过",
      3:"审核失败"
    },
    formData:{},
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      id:options.id
    });
    wx.hideShareMenu();
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getData()
  },

  getData(){
    app.post(api.artFindById,{
      id:this.data.id
    }).then(res=>{
      res.data.price = res.data.price / 100
      this.setData({
        formData:res.data
      })
    })
  },

  /**
   *预览图片
   ***/
  prevFile() {
    const {opusPicInfoList}=this.data.formData;
    app.previewImg(opusPicInfoList.map(item=>{
      return item.url
    }));
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})
