// pages/user/myNews/myNews.js
const app = getApp();
const api = app.api;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    total:null,
    maxPageSize:null,
    page:{
      pageNo: 1,
      pageSize: 20,
    },
    list:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.initData()
  },
  initData(){
    this.setData({
      page:{
        pageNo: 1,
        pageSize: 20,
      },
      list:[]
    },()=>{
      this.getData()
    })
  },
  getData(){
    const {page}=this.data;
    app.post(api.getMessage,{
      page
    }).then(res=>{
      console.log(res);
      this.setData({
        list:[...this.data.list,...res.data.data],
        total:res.data.total,
        maxPageSize:Math.ceil(res.data.total/page.pageNo)
      })
    })
  },
  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    const {maxPageSize,page}=this.data;
    if(page.pageNo+1>maxPageSize){
      return
    }
    this.setData({
      'page.pageNo':page.pageNo+1
    },()=>{
      this.getData()
    })
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})
